Scroll down for example requests and responses.
Base URLs:
Authentication
- HTTP Authentication, scheme: Bearer HTTP Bearer authentication
Default
ListUsers
GET /users
Example responses
200 Response
{ "properties": { "users": { "items": { "properties": { "created_at": { "format": "date-time", "type": "string" }, "email": { "type": "string" }, "name": { "type": "string" }, "organizations": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "updated_at": { "format": "date-time", "type": "string" }, "user_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" } }, "required": [ "created_at", "email", "organizations", "updated_at", "user_id" ], "type": "object" }, "type": "array" } }, "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListUsers 200 response | ListUsersResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
ApiKeys
DeleteApiKey
DELETE /api-keys/{api_key_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| api_key_id | path | string | true | none |
Example responses
400 Response
{ "properties": { "errors": { "items": {}, "type": "array" }, "type": { "type": "string" } }, "required": [ "type" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 204 | No Content | DeleteApiKey 204 response | None |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
GetApiKey
GET /api-keys/{api_key_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| api_key_id | path | string | true | none |
Example responses
200 Response
{ "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | GetApiKey 200 response | GetApiKeyResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
UpdateApiKey
PATCH /api-keys/{api_key_id}
Body parameter
{ "properties": { "name": { "maxLength": 200, "minLength": 1, "type": "string" } }, "type": "object" }
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| api_key_id | path | string | true | none |
| body | body | UpdateApiKeyRequestContent | false | none |
Example responses
200 Response
{ "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | UpdateApiKey 200 response | UpdateApiKeyResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
ListOrganizationApiKeys
GET /organizations/{organization_id}/api-keys
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| organization_id | path | string | true | none |
| page | query | number | false | none |
| page_size | query | number | false | none |
Example responses
200 Response
{ "properties": { "api_keys": { "items": { "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at" ], "type": "object" }, "type": "array" }, "pagination": { "properties": { "next_page": { "type": "number" }, "page_number": { "type": "number" }, "page_size": { "type": "number" }, "previous_page": { "type": "number" }, "total_count": { "type": "number" }, "total_pages": { "type": "number" } }, "required": [ "page_number", "page_size", "total_count", "total_pages" ], "type": "object" } }, "required": [ "api_keys", "pagination" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListOrganizationApiKeys 200 response | ListOrganizationApiKeysResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
CreateOrganizationApiKey
POST /organizations/{organization_id}/api-keys
Body parameter
{ "properties": { "name": { "maxLength": 200, "minLength": 1, "type": "string" } }, "required": [ "name" ], "type": "object" }
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| organization_id | path | string | true | none |
| body | body | CreateOrganizationApiKeyRequestContent | true | none |
Example responses
201 Response
{ "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" }, "value": { "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at", "value" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | CreateOrganizationApiKey 201 response | CreateOrganizationApiKeyResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
ListApiKeys
GET /users/{user_id}/api-keys
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| user_id | path | string | true | none |
| page | query | number | false | none |
| page_size | query | number | false | none |
Example responses
200 Response
{ "properties": { "api_keys": { "items": { "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at" ], "type": "object" }, "type": "array" }, "pagination": { "properties": { "next_page": { "type": "number" }, "page_number": { "type": "number" }, "page_size": { "type": "number" }, "previous_page": { "type": "number" }, "total_count": { "type": "number" }, "total_pages": { "type": "number" } }, "required": [ "page_number", "page_size", "total_count", "total_pages" ], "type": "object" } }, "required": [ "api_keys", "pagination" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListApiKeys 200 response | ListApiKeysResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
CreateApiKey
POST /users/{user_id}/api-keys
Body parameter
{ "properties": { "name": { "maxLength": 200, "minLength": 1, "type": "string" } }, "required": [ "name" ], "type": "object" }
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| user_id | path | string | true | none |
| body | body | CreateApiKeyRequestContent | true | none |
Example responses
201 Response
{ "properties": { "active": { "type": "boolean" }, "api_key_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "last_used": { "format": "date-time", "type": "string" }, "name": { "type": "string" }, "organization_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "updated_at": { "format": "date-time", "type": "string" }, "value": { "type": "string" } }, "required": [ "active", "api_key_id", "created_at", "created_by", "last_used", "name", "organization_id", "updated_at", "value" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | CreateApiKey 201 response | CreateApiKeyResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
AssistantRuns
GetAssistantRun
GET /assistant-runs/{assistant_run_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_run_id | path | string | true | none |
Example responses
200 Response
{ "properties": { "args": { "items": { "type": "string" }, "type": "array" }, "assistant_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "assistant_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "completed_at": { "default": null, "format": "date-time", "type": "string", "nullable": true }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "input": { "type": "string" }, "knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "output": {}, "retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "status": { "enum": [ "QUEUED", "STARTING", "RUNNING", "SUCCEEDED", "FAILED", "ERROR", "CANCELLED" ], "type": "string" }, "status_detail": {}, "stream": { "type": "boolean" }, "structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "thread_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "args", "assistant_id", "assistant_run_id", "completed_at", "created_at", "created_by", "knowledge_base_ids", "retriever_ids", "ruleset_ids", "status", "stream", "structure_ids", "tool_ids", "updated_at" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | GetAssistantRun 200 response | GetAssistantRunResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
CancelAssistantRun
POST /assistant-runs/{assistant_run_id}/cancel
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_run_id | path | string | true | none |
Example responses
200 Response
{ "properties": { "args": { "items": { "type": "string" }, "type": "array" }, "assistant_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "assistant_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "completed_at": { "default": null, "format": "date-time", "type": "string", "nullable": true }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "input": { "type": "string" }, "knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "output": {}, "retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "status": { "enum": [ "QUEUED", "STARTING", "RUNNING", "SUCCEEDED", "FAILED", "ERROR", "CANCELLED" ], "type": "string" }, "status_detail": {}, "stream": { "type": "boolean" }, "structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "thread_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "args", "assistant_id", "assistant_run_id", "completed_at", "created_at", "created_by", "knowledge_base_ids", "retriever_ids", "ruleset_ids", "status", "stream", "structure_ids", "tool_ids", "updated_at" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | CancelAssistantRun 200 response | CancelAssistantRunResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
ListAssistantRuns
GET /assistants/{assistant_id}/runs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_id | path | string | true | none |
| page | query | number | false | none |
| page_size | query | number | false | none |
| status | query | array[string] | false | Comma-separated list of run statuses to filter by. |
Enumerated Values
| Parameter | Value |
|---|---|
| status | QUEUED |
| status | STARTING |
| status | RUNNING |
| status | SUCCEEDED |
| status | FAILED |
| status | ERROR |
| status | CANCELLED |
Example responses
200 Response
{ "properties": { "assistant_runs": { "items": { "properties": { "args": { "items": { "type": "string" }, "type": "array" }, "assistant_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "assistant_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "completed_at": { "default": null, "format": "date-time", "type": "string", "nullable": true }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "input": { "type": "string" }, "knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "output": {}, "retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "status": { "enum": [ "QUEUED", "STARTING", "RUNNING", "SUCCEEDED", "FAILED", "ERROR", "CANCELLED" ], "type": "string" }, "status_detail": {}, "stream": { "type": "boolean" }, "structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "thread_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "args", "assistant_id", "assistant_run_id", "completed_at", "created_at", "created_by", "knowledge_base_ids", "retriever_ids", "ruleset_ids", "status", "stream", "structure_ids", "tool_ids", "updated_at" ], "type": "object" }, "type": "array" }, "pagination": { "properties": { "next_page": { "type": "number" }, "page_number": { "type": "number" }, "page_size": { "type": "number" }, "previous_page": { "type": "number" }, "total_count": { "type": "number" }, "total_pages": { "type": "number" } }, "required": [ "page_number", "page_size", "total_count", "total_pages" ], "type": "object" } }, "required": [ "assistant_runs", "pagination" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListAssistantRuns 200 response | ListAssistantRunsResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
CreateAssistantRun
POST /assistants/{assistant_id}/runs
Body parameter
{ "properties": { "additional_knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "additional_retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "additional_ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "additional_structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "additional_tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "args": { "items": { "type": "string" }, "type": "array" }, "input": { "type": "string" }, "knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "new_thread": { "description": "If true, create a new thread for this run to be returned in the response thread_id.", "type": "boolean" }, "retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "stream": { "type": "boolean" }, "structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "thread_id": { "description": "If provided, the run will be associated with the given thread. This takes precedence over new_thread.", "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" } }, "type": "object" }
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_id | path | string | true | none |
| body | body | CreateAssistantRunRequestContent | false | none |
Example responses
201 Response
{ "properties": { "args": { "items": { "type": "string" }, "type": "array" }, "assistant_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "assistant_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "completed_at": { "default": null, "format": "date-time", "type": "string", "nullable": true }, "created_at": { "format": "date-time", "type": "string" }, "created_by": { "type": "string" }, "input": { "type": "string" }, "knowledge_base_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "output": {}, "retriever_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "ruleset_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "status": { "enum": [ "QUEUED", "STARTING", "RUNNING", "SUCCEEDED", "FAILED", "ERROR", "CANCELLED" ], "type": "string" }, "status_detail": {}, "stream": { "type": "boolean" }, "structure_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "thread_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "tool_ids": { "items": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "type": "array" }, "updated_at": { "format": "date-time", "type": "string" } }, "required": [ "args", "assistant_id", "assistant_run_id", "completed_at", "created_at", "created_by", "knowledge_base_ids", "retriever_ids", "ruleset_ids", "status", "stream", "structure_ids", "tool_ids", "updated_at" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | CreateAssistantRun 201 response | CreateAssistantRunResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
Events
ListAssistantEvents
GET /assistant-runs/{assistant_run_id}/events
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_run_id | path | string | true | none |
| limit | query | string | false | none |
| offset | query | string | false | none |
Example responses
200 Response
{ "properties": { "count": { "type": "number" }, "events": { "items": { "properties": { "assistant_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "created_at": { "format": "date-time", "type": "string" }, "event_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "origin": { "type": "string" }, "payload": {}, "timestamp": { "format": "double", "type": "number" }, "type": { "type": "string" } }, "required": [ "assistant_run_id", "created_at", "event_id", "origin", "payload", "timestamp", "type" ], "type": "object" }, "type": "array" }, "limit": { "type": "number" }, "next_offset": { "type": "number" }, "offset": { "type": "number" }, "total_count": { "type": "number" } }, "required": [ "count", "events", "limit", "next_offset", "offset", "total_count" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListAssistantEvents 200 response | ListAssistantEventsResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
GetAssistantRunEventsSSE
GET /assistant-runs/{assistant_run_id}/events/stream
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| assistant_run_id | path | string | true | none |
Example responses
200 Response
400 Response
{ "properties": { "errors": { "items": {}, "type": "array" }, "type": { "type": "string" } }, "required": [ "type" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | GetAssistantRunEventsSSE 200 response | GetAssistantRunEventsSSEOutputPayload |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
GetEvent
GET /events/{event_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| event_id | path | string | true | none |
Example responses
200 Response
{ "properties": { "created_at": { "format": "date-time", "type": "string" }, "event_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "origin": { "type": "string" }, "payload": {}, "structure_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "timestamp": { "format": "double", "type": "number" }, "type": { "type": "string" } }, "required": [ "created_at", "event_id", "origin", "payload", "structure_run_id", "timestamp", "type" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | GetEvent 200 response | GetEventResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
ListEvents
GET /structure-runs/{structure_run_id}/events
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| structure_run_id | path | string | true | none |
| limit | query | string | false | none |
| offset | query | string | false | none |
Example responses
200 Response
{ "properties": { "count": { "type": "number" }, "events": { "items": { "properties": { "created_at": { "format": "date-time", "type": "string" }, "event_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "origin": { "type": "string" }, "payload": {}, "structure_run_id": { "pattern": "^[0-9(a-f|A-F)]{8}-[0-9(a-f|A-F)]{4}-4[0-9(a-f|A-F)]{3}-[89ab][0-9(a-f|A-F)]{3}-[0-9(a-f|A-F)]{12}$", "type": "string" }, "timestamp": { "format": "double", "type": "number" }, "type": { "type": "string" } }, "required": [ "created_at", "event_id", "origin", "payload", "structure_run_id", "timestamp", "type" ], "type": "object" }, "type": "array" }, "limit": { "type": "number" }, "next_offset": { "type": "number" }, "offset": { "type": "number" }, "total_count": { "type": "number" } }, "required": [ "count", "events", "limit", "next_offset", "offset", "total_count" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ListEvents 200 response | ListEventsResponseContent |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
CreateEvents
POST /structure-runs/{structure_run_id}/events
Body parameter
{ "properties": { "events": { "items": { "properties": { "payload": {}, "timestamp": { "format": "double", "type": "number" }, "type": { "maxLength": 200, "minLength": 1, "type": "string" } }, "required": [ "timestamp", "type" ], "type": "object" }, "type": "array" } }, "type": "object" }
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| structure_run_id | path | string | true | none |
| body | body | CreateEventsRequestContent | false | none |
Example responses
400 Response
{ "properties": { "errors": { "items": {}, "type": "array" }, "type": { "type": "string" } }, "required": [ "type" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 202 | Accepted | CreateEvents 202 response | None |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
GetStructureRunEventsSSE
GET /structure-runs/{structure_run_id}/events/stream
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| structure_run_id | path | string | true | none |
Example responses
200 Response
400 Response
{ "properties": { "errors": { "items": {}, "type": "array" }, "type": { "type": "string" } }, "required": [ "type" ], "type": "object" }
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | GetStructureRunEventsSSE 200 response | GetStructureRunEventsSSEOutputPayload |
| 400 | Bad Request | ClientError 400 response | ClientErrorResponseContent |
| 500 | Internal Server Error | ServiceError 500 response | ServiceErrorResponseContent |
Warning
To perform this operation, you must be authenticated by means of one of the following methods: smithy.api.httpBearerAuth
Assistants
ListAssistants
GET /assistants
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | number | false | none |
| page_size | query | number | false | none |
Example responses